from RssManager import *
from handlers.PixivHandler import *

class CreateRssServer():
    def __init__(self):
        rss_options = [
            {
                'id': 'pixiv',
                'type': 0,
                'url': 'https://rss.liliyamol.cn:8081/public.php?op=rss&id=-2&is_cat=0&q=&key=pp9ejw64463b6621a0b',
                'result_handler': pixiv_result_handler
            }
        ]
        self.app = RssManager(rss_options)

rss_server = CreateRssServer()
app = rss_server.app

if __name__ == '__main__':
    app.start()
